using System;
using System.Collections.Generic;
using System.Text;

namespace AbstractFactory
{
    abstract class DocumentFactory
    {
        public static DocumentFactory GetFactory()
        {
            string documentType = System.Environment.GetEnvironmentVariable("DOC_TYPE");
            if (documentType == null || documentType == "")
            {
                return new DefaultDocumentFactory();
            }
            else
            {
                return new CustomDocumentFactory();
            }
        }

        public abstract Document CreateDocument();
    }
}
